### Function

# Secret password_lookupv_binary_sync

since: 0.19.0

#### Declaration [src]

    SecretValue*
    secret_password_lookupv_binary_sync (
      const SecretSchema* schema,
      GHashTable* attributes,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Lookup a password in the secret service.

This is similar to `secret_password_lookupv_sync()`, but returns a `SecretValue` instead of a null-terminated password.

This method may block indefinitely and should not be used in user interface threads.

Available since: 0.19.0

This function is not directly available to language bindings.

#### Parameters

`schema`

  Type: `SecretSchema`

  The schema for attributes.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`attributes`

  Type: `GHashTable`

  The attribute keys and values.

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `SecretValue`

A newly allocated `SecretValue`, which should be released with `secret_value_unref()`, or `NULL` if no secret found.

The caller of the function takes ownership of the data, and is responsible for freeing it.